Summary: Mount replacement which uses HAL to do the mounting 
Name: gnome-mount
Version: 0.5
Release: 3%{?dist} 
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: hal-devel >= 0.5.8.1 gtk2-devel >= 2.8.0 dbus-devel >= 0.90, dbus-glib-devel >= 0.70
BuildRequires: gnome-keyring-devel
BuildRequires: libnotify-devel
BuildRequires: libgnomeui-devel
BuildRequires: gettext
BuildRequires: perl-XML-Parser
BuildRequires: nautilus-devel
BuildRequires: eel2-devel
Requires: hal >= 0.5.8.1
Requires: dbus >= 0.90
Requires: dbus-glib >= 0.70
Requires(post): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14

%description
A replacement for the mount, umount and eject commands that
uses HAL to do all the heavy lifting.

%package devel
Summary: Development files for gnome-mount
Group: Development/Libraries

%description devel
Development files for gnome-mount

%package nautilus-properties
Summary: Nautilus extention for gnome-mount
Group: Applications/System 

%description nautilus-properties 
 Nautilus extention which adds property pages to volume and drive mount 
 properties dialog for manipulating mount options.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build

%configure

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-mount.schemas > /dev/null || :

%preun
if [ "$1" -gt 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-mount.schemas > /dev/null || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gnome-mount.schemas
%{_datadir}/locale/*
%{_bindir}/gnome-eject
%{_bindir}/gnome-mount
%{_bindir}/gnome-umount
%{_datadir}/gnome-mount/gnome-mount-properties.glade
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/gnome-mount.pc

%files nautilus-properties
%defattr(-, root, root)
%{_libdir}/nautilus/extensions-1.0/libgnome-mount.so

%changelog
* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.0-3
- Fix up requires (#202549)

* Wed Sep 27 2006 David Zeuthen <davidz@redhat.com> - 0.5.0-2
- BR nautilus-devel instead of nautilus

* Tue Sep 26 2006 David Zeuthen <davidz@redhat.com> - 0.5.0-1
- Update to upstream release 0.5
- BR libnotify-devel
- Require and BuildRequire HAL 0.5.8.1
- Should fix #194296

* Mon Jul 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4.0.2006.07.24-1
- Update to a CVS version of gnome-mount
- create nautilus-properties sub package
- Add BR for nautilus and eel2 

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4-8
- Add BR for dbus-glib-devel

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.4-7.1
- rebuild

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> - 0.4-7
- Fix BuildRequires

* Mon May 15 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4-6
- Patch from Brian Pepple <bdpepple@ameritech.net> Add BR for 
  gnome-keyring-devel & libgnomeui-devel.

* Wed Mar  1 2006 David Zeuthen <davidz@redhat.com> - 0.4-5
- Update for new patch in #183191

* Wed Mar  1 2006 Matthias Clasen <mclasen@redhat.com> - 0.4-4
- Fix a crash without media (#183191)

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 0.4-3
- add some buildrequires

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-2
- Fix mounting of drives that HAL cannot poll

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-1
- Update to upstream version 0.4

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 0.4-0.cvs20060213.1.1
- rebump for build order issues during double-long bump

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-0.cvs20060213.1
- fix build

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-0.cvs20060213
- new upstream snapshot

* Tue Feb 07 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4-0.cvs20060117.2
- fix build

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4-0.cvs20060117.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4-0.cvs20060117
- CVS snapshot of gnome-mount
- Added a devel sub package for apps that compile in gnome-mount support

* Tue Jan 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.3-2
- Install the schema in the post

* Wed Jan 11 2006 Christopher Aillon <caillon@redhat.com> - 0.3-1
- Update to 0.3

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.2-1
- initial import 
